/*
    This file is part of the Okteta Core library, part of the KDE project.

    Copyright 2004 Friedrich W. H. Kossebau <kossebau@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) version 3, or any
    later version accepted by the membership of KDE e.V. (or its
    successor approved by the membership of KDE e.V.), which shall
    act as a proxy defined in Section 6 of version 3 of the license.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef OKTETA_KBINARYBYTECODEC_H
#define OKTETA_KBINARYBYTECODEC_H


// lib
#include <valuecodec.h>


namespace Okteta
{


class KBinaryByteCodec : public ValueCodec
{
  public:
    virtual ~KBinaryByteCodec() {}

  public: // ValueCodec API
    virtual unsigned int encodingWidth() const { return 8; }
    virtual unsigned char digitsFilledLimit() const { return 128; }

    virtual void encode( QString &Digits, unsigned  int Pos, Byte Char ) const;
    virtual void encodeShort( QString &Digits, unsigned  int Pos, Byte Char ) const;
    virtual bool appendDigit( unsigned char *Byte, unsigned char Digit ) const;
    virtual void removeLastDigit( unsigned char *Byte ) const;
    virtual bool isValidDigit( unsigned char Digit ) const;
    virtual bool turnToValue( unsigned char *Digit ) const;
};

}

#endif
